package cn.teammodel.model.entity.teacher;


import cn.teammodel.model.entity.BaseItem;
import cn.teammodel.model.vo.admin.GpTeacherVo;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "Teacher")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PtTeacherInfo extends BaseItem {

    public String pk ;
    public Integer ttl ;
    public String school;

    //新增身份信息
    public List<String> identity ;
    public Integer version; // 添加版本控制字段

}
